Bug 1078030 - gdm ignores /etc/gdm/custom.conf and starts Wayland session
gdm ignores /etc/gdm/custom.conf and starts Wayland session
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-29 17:17 UTC by Andrei Borzenkov
Modified: 2018-03-19 10:58 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journal log (138.02 KB, text/x-vhdl)
2018-01-29 17:18 UTC, Andrei Borzenkov
Details
process list (17.23 KB, text/plain)
2018-01-29 17:18 UTC, Andrei Borzenkov
Details
lspci (1.44 KB, text/plain)
2018-01-29 17:18 UTC, Andrei Borzenkov
Details
GDM custom.conf (303 bytes, text/plain)
2018-01-29 17:19 UTC, Andrei Borzenkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Borzenkov 2018-01-29 17:17:47 UTC
Due to apparent bug in QEMU packaged version I used (keys lost or duplicated in Wayland) I disabled Wayland using /etc/gdm/custom.conf. Since the last update of gdm (gdm-3.26.2.1-4.1) it seems to ignore it and starts Wayland anyway. There is no /run/gdm/custom.conf. VM is started using

~/src/qemu/build/x86_64-softmmu/qemu-system-x86_64 -machine q35 -cpu kvm64 -m 1G -device virtio-scsi-pci -drive file=$HOME/vm/tw/hd0.qcow2,if=none,id=hd0,discard=on,format=qcow2 -device scsi-hd,drive=hd0 -net user -net nic,model=virtio -enable-kvm -virtfs local,path=$HOME,security_model=none,mount_tag=home -drive file=$HOME/vm/tw/test.qcow2,if=none,id=hd1,discard=on,format=qcow2 -device scsi-hd,drive=hd1 -drive file=$HOME/vm/tw/test2.qcow2,if=none,id=hd2,discard=on,format=qcow2 -device scsi-hd,drive=hd2 &

journal, ps list and lspci attached.

I now switched to QEMU compiled from upstream that works.
Comment 1 Andrei Borzenkov 2018-01-29 17:18:13 UTC
Created attachment 757940 [details]
journal log
Comment 2 Andrei Borzenkov 2018-01-29 17:18:36 UTC
Created attachment 757941 [details]
process list
Comment 3 Andrei Borzenkov 2018-01-29 17:18:49 UTC
Created attachment 757942 [details]
lspci
Comment 4 Andrei Borzenkov 2018-01-29 17:19:53 UTC
Created attachment 757943 [details]
GDM custom.conf
Comment 6 Swamp Workflow Management 2018-01-30 15:50:07 UTC
This is an autogenerated message for OBS integration:
This bug (1078030) was mentioned in
https://build.opensuse.org/request/show/571133 Factory / gdm
Comment 9 Dominique Leuenberger 2018-03-19 10:58:59 UTC
(In reply to Swamp Workflow Management from comment #6)
> This is an autogenerated message for OBS integration:
> This bug (1078030) was mentioned in
> https://build.opensuse.org/request/show/571133 Factory / gdm

Has been merged a while back and the issue should thus be fixed.